Subject: Re: bug#75858: [PATCH] Display separators on tty menus with display table entries

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jan 2025 14:39:11 +0200

> From: Gerd Möllmann <[email-masked]>
> Date: Sun, 26 Jan 2025 13:12:03 +0100
> 
> This completes a point I left open last time I changed tty menu
> separators: displaying separators with nicer Unicode chars.
> Which can be activated with standard-display-unicode-special-glyphs.

Thanks.  I think this needs to be documented in the ELisp manual and
in NEWS.

>  (defun display-table-slot (display-table slot)
>    "Return the value of the extra slot in DISPLAY-TABLE named SLOT.
> -SLOT may be a number from 0 to 11 inclusive, or a slot name (symbol).
> +SLOT may be a number from 0 to 17 inclusive, or a slot name (symbol).
>  Valid symbols are `truncation', `wrap', `escape', `control',
>  `selective-display', `vertical-border', `box-vertical',
> -`box-horizontal', `box-down-right', `box-down-left', `box-up-right',
> -and `box-up-left'."
> +`box-horizontal', `box-down-right', `box-down-right', `box-up-left',
                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
One of these should probably be box-down-left?

> +`box-double-vertical',`box-double-horizontal', `box-double-down-right',
> +`box-double-down-right', `box-double-up-left',"

Same here?  And what about box-up-right and box-double-up-right?

>  (defun set-display-table-slot (display-table slot value)
>    "Set the value of the extra slot in DISPLAY-TABLE named SLOT to VALUE.
> -SLOT may be a number from 0 to 11 inclusive, or a name (symbol).
> +SLOT may be a number from 0 to 17 inclusive, or a name (symbol).
>  Valid symbols are `truncation', `wrap', `escape', `control',
> -`selective-display',  `vertical-border', `box-vertical',
> -`box-horizontal', `box-down-right', `box-down-left', `box-up-right',
> -and `box-up-left'."
> +`selective-display', `vertical-border', `box-vertical',
> +`box-horizontal', `box-down-right', `box-down-right', `box-up-left',
> +`box-double-vertical',`box-double-horizontal', `box-double-down-right',
> +`box-double-down-right', `box-double-up-left',"

Same here.

> +/* Return the character to be used for displaying a tty menu separator.
> +   C is the character to be used by default. BOX is the display table
                                              ^^
Two spaces there.